#
# spec file for package mate-calc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _version 1.18
Name:           mate-calc
Version:        1.18.0
Release:        1.2
Summary:        MATE Desktop calculator application
License:        GPL-2.0+
Group:          System/GUI/Other
Url:            https://mate-desktop.org/
Source:         http://pub.mate-desktop.org/releases/%{_version}/%{name}-%{version}.tar.xz
BuildRequires:  bison
BuildRequires:  fdupes
BuildRequires:  flex
BuildRequires:  libxml2-python
BuildRequires:  mate-common
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gmodule-export-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14
BuildRequires:  pkgconfig(libxml-2.0)
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires

%description
mate-calc is a calculator application that was part of the
OpenWindows Deskset of the Solaris 8 operating system.
It incorporates multiple precision arithmetic packages based on the
work of Professor Richard Brent.

%lang_package

%prep
%setup -q

%build
NOCONFIGURE=1 mate-autogen
%configure
make %{?_smp_mflags} V=1

%install
%make_install
%find_lang %{name} %{?no_lang_C}
%suse_update_desktop_file %{name}
%fdupes %{buildroot}%{_datadir}/

%post
%desktop_database_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_bindir}/mate-calc
%{_bindir}/mate-calc-cmd
%{_bindir}/mate-calculator
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%dir %{_datadir}/appdata/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/help/C/
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1%{?ext_man}
%{_mandir}/man1/%{name}-cmd.1%{?ext_man}

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Tue Mar 14 2017 sor.alexei@meowr.ru
- Update to version 1.18.0 (changes since 1.8.0):
  * Move to GTK+3 (>= 3.14), GTK+2 code, and --with-gtk build
    option.
  * Add an AppStream file.
* Wed Mar  5 2014 p.drouand@gmail.com
- Update to version 1.8.0
  + no changes since version 1.7.90
* Thu Feb 20 2014 p.drouand@gmail.com
- Update to version 1.7.90
  + make numpad period work without numlock on
  + enable yelp documentation
- Replace mate-doc-utils requirement with yelp-tools; upstream dopped
  mate-doc-utils and now use yelp-tools to build help
- Remove useless xz requirement
* Fri Sep 20 2013 cfarrell@suse.com
- license update: GPL-2.0+
  No indication of GPL-2.0 only licenses
* Wed Apr  3 2013 p.drouand@gmail.com
- Update to version 1.6.0
  + update configure.ac
  + update translations
- Add a mate-calc Recommends tag
* Sat Mar 23 2013 p.drouand@gmail.com
- Update to version 1.5.2
  + AC_CONFIG_HEADERS to please automake 1.13
  + add support glib 2.30
- Remove mate-calc-1.5.1-support_glib_2.30.patch; merged on upstream
  release
* Wed Dec  5 2012 nmo.marques@gmail.com
- Add mate-calc-1.5.1-support_glib_2.30.patch: support glib 2.30,
  fixes build on 12.1, cherry pick from upstream
* Mon Nov 26 2012 nmo.marques@gmail.com
- Update to version 1.5.1
  + fixed broken undo and clear buttons for financial and
    programming mode
  + fixed gsettings
  + Added inverse trigonometry functions
  + Menu fix and cleanups (GTK)
- Remove files entries for help, the files are no longer installed
* Mon Nov 19 2012 nmarques@mate-desktop.org
- Update BuildRequires: use libxml2-python to fix 12.1 build
* Sun Nov  4 2012 nmarques@mate-desktop.org
- Initial package from release 1.5.0
